


    <div class="container p-0" style="flex: 2;display: flex;flex-direction: column;">

        <div class="float-left m-0 col-12 fs17 title" style="overflow:hidden">{{config.title | uppercase }}</div>


        <!-- ############################# SELECTED PERIOD ############################# -->
        <div class="float-left w-100 mb-1 mt-1">
            
            <div class="nj-form-group float-left col-6 p-0" style="display:block; overflow: hidden;">  
                <mat-form-field appearance="fill" class="float-left" style="width:100%;">
                    <input matInput [matDatepicker]="dpStart" [formControl]="dateStart" class="nj-form-control p-0 m-0">
                    <mat-datepicker-toggle matSuffix [for]="dpStart"></mat-datepicker-toggle>
                    <!-- <mat-datepicker #dpStart startView="year" (monthSelected)="handleDate('dateStart', $event, dpStart)" panelClass="range-month-picker"></mat-datepicker> -->
                    <mat-datepicker #dpStart startView="month" panelClass="range-month-picker"></mat-datepicker>
                </mat-form-field>              
                <label class="nj-label-static pl-1">Inizio</label>
            </div>
        
            <div class="nj-form-group float-left col-6 p-0" style="display:block; overflow: hidden;">  
                <mat-form-field appearance="fill" class="float-left" style="width:100%;">
                <input matInput [matDatepicker]="dpEnd" [formControl]="dateEnd" [min]="dateEndMin" [max]="now" class="nj-form-control p-0 m-0">
                <mat-datepicker-toggle matSuffix [for]="dpEnd"></mat-datepicker-toggle>
                <!-- <mat-datepicker #dpEnd startView="month" (monthSelected)="handleDate('dateEnd', $event, dpEnd)" panelClass="range-month-picker"></mat-datepicker> -->
                <mat-datepicker #dpEnd startView="month"  panelClass="range-month-picker"></mat-datepicker>
                </mat-form-field>              
                <label class="nj-label-static pl-1">Fine</label>
            </div>
        </div>

        <div *ngIf="stats" class="brl container_stat"> 

            <div  *ngFor="let stat of stats.data | keyvalue; let i = index" class="brl stat">  

                <div class="brl icon">
                    <i class="material-icons md-24" style="cursor:pointer">notification_important</i> 
                </div>

                <div class="brl container_label">
                    <div class="brl label fs16">{{ stat.key }}</div>
                    <div class="brl label2 fs14">{{ stat.value['nome_impianto'] }}</div>
                </div>
                
                <div class="brl container_value">
                    <div class="brl value fs16">{{ stat.value['value'] }}</div>
                </div>
                
            </div>
        </div>
</div>